package com.ssj.service.conch.parents.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class ApplyChangeCourseReq extends BaseRequest{

	/**
	 * bizId 	是 	string 	业务iD（排课计划的id）
oldPlanTime 	是 	string 	原计划时间 时间格式2018-06-02 18:30:00
currentPlanTime 	是 	string 	调整时间 时间格式2018-06-02 18:30:00
adjustReason 	是 	string 	调整理由
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "courseId", value = "课程id（排课计划id）", required = true)
	private String courseId;
	
	@ApiModelProperty(name = "oldPlanTime", value = "原计划时间时间格式2018-06-02 18:30:00", required = true)
	private String oldPlanTime;
	
	@ApiModelProperty(name = "currentPlanTime", value = "调整时间 时间格式2018-06-02 18:30:00", required = true)
	private String currentPlanTime;
	
	@ApiModelProperty(name = "changeMsg", value = "更换的原因", required = false)
	private String changeMsg;

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}

	
	public String getCurrentPlanTime() {
		return currentPlanTime;
	}

	public void setCurrentPlanTime(String currentPlanTime) {
		this.currentPlanTime = currentPlanTime;
	}

	public String getChangeMsg() {
		return changeMsg;
	}

	public void setChangeMsg(String changeMsg) {
		this.changeMsg = changeMsg;
	}

	public String getOldPlanTime() {
		return oldPlanTime;
	}

	public void setOldPlanTime(String oldPlanTime) {
		this.oldPlanTime = oldPlanTime;
	}
	
	
	
}
